#include "partition.h"
#include <algorithm>

// std::vector<int> solve(std::vector<int> A) {
//     std::vector <std::pair <int, int>> B;
//     for (int i = 0; i < A.size(); i++) {
//         B.push_back({ A[i], i });
//     }
//     std::sort(B.begin(), B.end());
//     std::vector <int> res;
//     for (int i = 0; i < B.size(); i += 2) {
//         res.push_back(B[i].second);
//     }
//     for (int i = 1; i < B.size(); i += 2) {
//         res.push_back(B[i].second);
//     }

//     return res;
// }

std::vector<int> solve(std::vector<int> A) {
    std::vector <std::pair <int, int>> B;
    for (int i = 0; i < A.size(); i++) {
        B.push_back({ A[i], i });
    }
    std::sort(B.begin(), B.end());
    std::vector <int> res;
    // for (int i = B.size() - 1; i >= 0; i--) {
    for (int i = 0; i < B.size(); i++)
        res.push_back(B[i].second);
    }

    return res;
}